cURL
curl --request GET \
--url https://api.mudstack.com/workspaces/assetStatuses \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.mudstack.com/workspaces/assetStatuses"
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mudstack.com/workspaces/assetStatuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"color": "<string>",
"rank": "<string>",
"created_by_user_id": "<string>"
}
]Status
Get statuses
Retrieve a list of all asset statuses for the workspace.
GET
/
workspaces
/
assetStatuses
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
A list of asset statuses
Unique identifier for the asset status.
Identifier of the workspace to which the asset status belongs.
Name of the asset status.
Color associated with the asset status.
Rank of the asset status.
Identifier of the user who created the asset status.
Was this page helpful?
⌘I